// STYLE FORMULAIRE CONNEXION //

// FORMULAIRE CONNEXION //
.connexion-form {
    position        : absolute;
    top             : 50%;
    left            : 50%;
    display         : flex;
    flex-direction  : column;
    border-radius   : 10px;
    border          : 3px solid #ffffff;
    background-color: $primary;
    transform       : translate(-50%, -50%);

    label {
        padding: 0.5rem;
    }

    input {
        width  : 250px;
        padding: 0.3rem;
    }

    .button {
        padding   : 0.5rem 1rem;
        margin-top: 1rem;
    }

}

// STYLE ADMIN CARDS //

// CARDS WRAPPER //
.admin-card {
    display        : flex;
    flex-wrap      : wrap;
    flex-direction : row;
    justify-content: center;
    width          : 100%;
    max-width      : 1310px;
    margin         : auto;

    @include tablet {
        margin-top: 4rem;
    }

    // CARD BOX - UNVERSAL //
    .form-card {
        display         : flex;
        flex-direction  : column;
        justify-content : center;
        align-items     : center;
        width           : 160px;
        height          : 160px;
        margin          : 1.5rem;
        border-radius   : 10px;
        border          : 3px solid $complementary;
        background-color: $primary;
        transition      : 200ms;
        cursor          : pointer;
    
        &:hover {
            transform: translateY(-10px);
        }

        // WHEN CARD GET CLICK - UNIVERSAL //
        &.clicked {
            width : 90%;
            height: auto;
            order : -1;

            &:hover {
                transform: none;
            }
        }

        &:nth-child(even) {
            border: 3px solid $neon-1;
        }

        // CARD UNCLICKED - STYLE UNVERSAL //
        .card-unclick {
            display        : flex;
            flex-direction : column;
            justify-content: center;
            align-items    : center;
            width          : 100%;
            height         : 160px;

            &.clicked {
                display: none;
            }
    
            svg {
                margin: 0.5rem;
            }
    
            p {
                margin: 0.5rem;
            }
        }

        // CARD CLICKED - STYLE UNIVERSAL //
        .card-click {
            display       : none;
            flex-direction: column;
            align-items   : center;
            width         : 100%;
            padding-bottom: 1rem;

            &.clicked {
                display: flex;
            }

            svg {
                padding    : 0.5rem 0.5rem 0 0;
                margin-left: auto;
            }

            .card-click-title {
                display       : flex;
                flex-direction: row;
                align-items   : center;

                svg {
                    padding: 0.5rem;
                }

                p {
                    padding    : 0.5rem;
                    font-size  : 1.2rem;
                    font-weight: bold;
                }
            }
        } 
    }
}